%global debug_package %{nil}

%global commit 099483f8eeb75d0e90bca40d100e7957e4fc1609
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:		stout
Version:	0.1.2
Release:	1.%{shortcommit}%{?dist}
Summary:	C++ headers for building sturdy software
%{?el5:Group:	Development/Libraries}

License:	ASL 2.0
URL:		https://github.com/3rdparty/stout

## Will use this when pull-request in merged by upstream
#  https://github.com/3rdparty/stout/pull/4
#Source0:	%%{url}/archive/%%{commit}/%%{name}-%%{version}-%%{shortcommit}.tar.gz
#
#  We'll use this during devel :)
#
Source0:	https://github.com/besser82/stout/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz

%{?el5:BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)}
BuildRequires:	automake
BuildRequires:	zlib-devel
%{?el5:BuildRequires:	curl-devel}
%{?!el5:BuildRequires:	libcurl-devel}

%description
Headers used for for development of sturdy applications, and leveraged
by Mesos.

%{name} is a header only library that is contains a series of primitives
to assist in the development of building sturdy C++ applications.  Currently
this application is leveraged by Mesos.

Note: as that project has only headers (i.e., no library/binary object),
this package (i.e., the -devel package) is the one containing all of the
project.  There's no package with a library to link for this.


%package devel
Summary:	C++ headers for building sturdy software
%{?el5:Group:	Development/Libraries}

# el5 doesn't like noarch subpkgs
%{?!el5:BuildArch:	noarch}

# obsoleting previous versions because change to devel subpkg
# el5 pkg will be arched, so we should use %%{?_isa}in this case
Obsoletes:	%{name} <= 0.1.1-4.7c9d71c
Provides:	%{name}%{?el5:%{?_isa}} = %{version}-%{release}

Requires:	boost-devel%{?el5:%{?_isa}}
Requires:	protobuf-devel%{?el5:%{?_isa}}
# TBD - glog removed in the future
Requires:	glog-devel%{?el5:%{?_isa}}
Requires:	gmock-devel%{?el5:%{?_isa}}
Requires:	gtest-devel%{?el5:%{?_isa}}
Requires:	zlib-devel%{?el5:%{?_isa}}
%{?el5:Requires:	curl-devel%{?_isa}}
%{?!el5:Requires:	libcurl-devel}

%description devel
Headers used for for development of sturdy applications, and leveraged
by Mesos.

%{name} is a header only library that is contains a series of primitives
to assist in the development of building sturdy C++ applications.  Currently
this application is leveraged by Mesos.

Note: as that project has only headers (i.e., no library/binary object),
this package (i.e., the -devel package) is the one containing all of the
project.  There's no package with a library to link for this.


%prep
%setup -qn %{name}-%{commit}
cp -pr ./tests ./examples
rm -rf ./examples/*.a[cm]


%build
autoreconf -vfi
%configure
make %{?_smp_mflags}


%install
%if 0%{?el5}
  rm -rf %{buildroot}
  make install DESTDIR=%{buildroot}

# having pkgconfig-file in %%{_datadir} will conflict with multiarch on el5
# moving stuff to %%{_libdir} in this case
  mkdir -p %{buildroot}%{_libdir}/pkgconfig
  cp -a %{buildroot}%{_datadir}/pkgconfig/* %{buildroot}%{_libdir}/pkgconfig
%else
  %make_install
%endif


%clean
%{?el5:rm -rf %{buildroot}}


%files devel
%doc LICENSE README.md examples
%{?el5:%{_libdir}/pkgconfig/*}
%{?el5:%exclude %{_datadir}/pkgconfig/*}
%{?!el5:%{_datadir}/pkgconfig/*}
%{_includedir}/%{name}/


%changelog
* Tue Aug 13 2013 Björn Esser <bjoern.esser@gmail.com> - 0.1.2-1.099483f
- new upstream version
- additional adaptions for el5
- create direct subpkg instead of named package

* Tue Aug 13 2013 Björn Esser <bjoern.esser@gmail.com> - 0.1.1-5.7c9d71c
- modified as suggested in rhbz #988545 comment 17 and following.
  See: https://bugzilla.redhat.com/show_bug.cgi?id=988545#c17
- commented macros properly
- replaced spaces with tabs

* Mon Aug 12 2013 Björn Esser <bjoern.esser@gmail.com> - 0.1.1-4.7c9d71c
- nuked %%{?_isa}-macros from noarch-pkg

* Fri Aug  9 2013 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.1.1-3.7c9d71c
- Update to latest

* Thu Jul 25 2013 Björn Esser <bjoern.esser@gmail.com> - 0.1.1-2.2d3d1ab
- use datadir instead of libdir for pkg-config
- make package noarch again

* Thu Jul 25 2013 Björn Esser <bjoern.esser@gmail.com> - 0.1.1-1.10f7b88
- new version
- ships a pkg-config-file now, must be arched now
- make install-target is supported
- adding test-dir as examples
- using autoreconf instead of bootstrap-script
- disable building debuginfo
- general clean-up and nuked trailing whitespaces
- added needs for el5
- changed %%define --> %%global
- dropped -devel-subpkg without main-pkg and make pkg provide -devel

* Mon Jul 22 2013 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.1.0-1.270dba8
- In release added git shotcommit
- In BuildRequires added automake
- Droped BuildRoot target (since Fedora 18 was deprecated)
- Dropped %%clean section (since Fedora 18 was deprecated)
- Dropped %%defattr directives (since Fedora 18 was deprecated)
- Dropped %%files section (not needed)
- other fixes

* Mon Jul 22 2013 Timothy St. Clair <tstclair@redhat.com> 0.1.0-1
- initial fedora package (#988545)
